#### D.12.6.12 powersums

Procedure from library `rootsmr.lib` (see rootsmr_lib).

Usage:
  powersums(f,b,i); f poly; b,i ideal

Return:
  list: the powersums of the results of evaluating f at the zeros of I

Assume:
  i is a Groebner basis and b is an ordered monomial basis of r/i, r = basering

Example:

    LIB "rootsmr.lib";
    ring r = 0,(x,y,z),dp;
    ideal i = (x-1)*(x-2),(y-1),(z+5); // V(I) = {(1,1,-5),(2,1,-5)}
    i = std(i);
    ideal b = qbase(i);
    poly f = x+y+z;
    list psums = list(-2-3,4+9); // f evaluated at V(I) gives {-3,-2}
    list l = powersums(f,b,i);
    psums;
    ==> [1]:
    ==>    -5
    ==> [2]:
    ==>    13
    l;
    ==> [1]:
    ==> -5
    ==> [2]:
    ==> 13

See also: symmfunc.

User manual for Singular version 4.4.1, 2025, generated by texi2html.